Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.schema.dict
Class HSQLTCKDictionary

    java.lang.Object
      |
      +--com.solarmetric.kodo.impl.jdbc.schema.dict.AbstractDictionary
            |
            +--com.solarmetric.kodo.impl.jdbc.schema.dict.HSQLDictionary
                  |
                  +--com.solarmetric.kodo.impl.jdbc.schema.dict.HSQLTCKDictionary

All Implemented Interfaces:
  DBDictionary

public class HSQLTCKDictionary
extends HSQLDictionary

Implementation of the DBDictionary interface for Hypersonic SQL, used to pass the JDO TCK. Differences from the standard `HSQLDictionary` include:

- BigIntegers are stored as strings
- BigDecimals are stored as strings

Fields inherited from class com.solarmetric.kodo.impl.jdbc.schema.dict.AbstractDictionary
`CENTI, DECI, meta, MICRO, MILLI, NANO, NUMBER_FORMAT, SEC`

Constructor Summary
`HSQLTCKDictionary()`

Method Summary
`BigDecimal` | `bigDecimalFromSQL(ResultSet rs, int column)` Get the BigDecimal value of a particular column.
`void` | `bigDecimalToPreparedParameter(PreparedStatement st, int i, BigDecimal val)`
`Object` | `bigDecimalToSQL(BigDecimal val)` Convert data into SQL for the current database platform.
`BigInteger` | `bigIntegerFromSQL(ResultSet rs, int column)` Convert the specified column of the SQL ResultSet to the proper java type.
`void` | `bigIntegerToPreparedParameter(PreparedStatement st, int i, BigInteger val)`
`Object` | `bigIntegerToSQL(BigInteger val)` Convert data into SQL for the current database platform.
`String` | `getPlatform()` Return the title of this database platform, used for display only.
`protected void` | `setupSQLTypeMap(SQLTypeMap map)` This is the most commonly overridden method when porting to a new database.

Methods inherited from class com.solarmetric.kodo.impl.jdbc.schema.dict.HSQLDictionary
`booleanToPreparedParameter, getAddColumnSQL, getColumnDeclaration, getDropColumnSQL, getNextAutoIncrementValue, getPrimaryKeyClause, getValidIndexName, supportsAutoIncrement, supportsLocking`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.schema.dict.AbstractDictionary
`, addForUpdateClause, blobFromSQL, blobToPreparedParameter, blobToSQL, booleanFromSQL, booleanToSQL, byteFromSQL, byteToPreparedParameter, byteToSQL, characterToPreparedParameter, charFromSQL, charToSQL, clobFromSQL, clobToPreparedParameter, clobToSQL, colsToString, createdSQLExecutionManager, dateFromSQL, dateToPreparedParameter, dateToSQL, dateToTimestamp, deserialize, deserialize, doubleFromSQL, doubleToPreparedParameter, doubleToSQL, dropTableDropsIndices, floatFromSQL, floatToPreparedParameter, floatToSQL, fromSQL, getClassMappingCandidateClasses, getColumns, getCreateIndexSQL, getCreateTableSQL, getCreateTableSuffix, getDatePrecision, getDBMetaData, getDropIndexSQL, getDropTableSQL, getFieldMappingCandidateClasses, getMaxColumnNameLength, getMaxIndexNameLength, getMaxTableNameLength, getNameTruncationVersion, getNonSQL92LeftOuterJoin, getQuoteNumbers, getSchemaName, getSimulateLocking, getSQLTypeMap, getStoreCharsAsStrings, getStoreLargeNumbersAsStrings, getSupportedResultSetType, getTables, getValidateConnections, getValidateConnectionSQL, getValidColumnName, getValidTableName, initTypeMap, intFromSQL, intToPreparedParameter, intToSQL, isClosed, localeFromSQL, localeToPreparedParameter, localeToSQL, longFromSQL, longToPreparedParameter, longToSQL, objectFromSQL, objectToPreparedParameter, objectToSQL, prepareLargeNumberAsString, prepareStatement, serialize, setColumnNameGenerator, setCreateTableSuffix, setDBMetaData, setIndexNameGenerator, setMaxColumnNameLength, setMaxIndexNameLength, setMaxTableNameLength, setNameTruncationVersion, setNullParameter, setQuoteNumbers, setSchemaName, setSimulateLocking, setStoreCharsAsStrings, setStoreLargeNumbersAsStrings, setTableNameGenerator, setTransactionIsolation, setValidateConnections, setValidateConnectionSQL, shortFromSQL, shortToPreparedParameter, shortToSQL, stringFromSQL, stringToPreparedParameter, stringToSQL, supportsNonSQL92LeftOuterJoins, supportsUpdateCountsForBatch, tablesToString, timestampFromSQL, toPreparedParameter, toSelect, toSelect, toSelect, toSQL, truncate, truncate, validateConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HSQLTCKDictionary

    public HSQLTCKDictionary()

Method Detail

### getPlatform

    public String getPlatform()

  Description copied from class: `AbstractDictionary`
  Return the title of this database platform, used for display only.
  Overrides:
    `getPlatform` in class `HSQLDictionary`

### bigIntegerToSQL

    public Object bigIntegerToSQL(BigInteger val)

  Description copied from interface: `DBDictionary`
  Convert data into SQL for the current database platform.
  Overrides:
    `bigIntegerToSQL` in class `AbstractDictionary`

### bigDecimalToSQL

    public Object bigDecimalToSQL(BigDecimal val)

  Description copied from interface: `DBDictionary`
  Convert data into SQL for the current database platform.
  Overrides:
    `bigDecimalToSQL` in class `AbstractDictionary`

### bigIntegerFromSQL

    public BigInteger bigIntegerFromSQL(ResultSet rs,
                                        int column)
                                 throws SQLException

  Description copied from interface: `DBDictionary`
  Convert the specified column of the SQL ResultSet to the proper java type.
  Overrides:
    `bigIntegerFromSQL` in class `AbstractDictionary`

### bigDecimalFromSQL

    public BigDecimal bigDecimalFromSQL(ResultSet rs,
                                        int column)
                                 throws SQLException

  Description copied from class: `AbstractDictionary`
  Get the BigDecimal value of a particular column. We need to check for the JDBC driver version, since getBigDecimal(column) only exists in JDBC2, whereas JDBC 1 has getBigDecimal(column,scale).
  Overrides:
    `bigDecimalFromSQL` in class `AbstractDictionary`

### bigIntegerToPreparedParameter

    public void bigIntegerToPreparedParameter(PreparedStatement st,
                                              int i,
                                              BigInteger val)
                                       throws SQLException

  Overrides:
    `bigIntegerToPreparedParameter` in class `AbstractDictionary`

### bigDecimalToPreparedParameter

    public void bigDecimalToPreparedParameter(PreparedStatement st,
                                              int i,
                                              BigDecimal val)
                                       throws SQLException

  Overrides:
    `bigDecimalToPreparedParameter` in class `AbstractDictionary`

### setupSQLTypeMap

    protected void setupSQLTypeMap(SQLTypeMap map)

  Description copied from class: `AbstractDictionary`
  This is the most commonly overridden method when porting to a new database. Most databases have different mappings between java and SQL types; this method can be used to setup the mappings for the database being ported.
  Overrides:
    `setupSQLTypeMap` in class `HSQLDictionary`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.